Skip to content

List my eligible delegates

Request

Beta
OAuth 2.0 scope:
  • okta.governance.principalSettings.read

Lists the users who are eligible delegates for the current authenticated user.

The filter query parameter is optional when the org's delegate scope is restricted (the onlyFor list contains MANAGER or both MANAGER and PEERS). When omitted in this case, the endpoint returns all eligible delegates.

However, if the org's delegate scope is unrestricted (the onlyFor list is empty), the filter parameter is required. Omitting the filter with an unrestricted scope returns a 400 error.

Request examples:

  1. List all eligible delegates (only works with restricted delegate scope)
    /governance/api/v1/my/settings/delegates/users
  2. Filter users with a last name that starts with "Smi"
    /governance/api/v1/my/settings/delegates/users?filter=lastName%20sw%20%22Smi%22
  3. Filter for users with a first name that begins with "John"
    /governance/api/v1/my/settings/delegates/users?filter=firstName%20sw%20%22John%22
  4. Search for users with a first or last name that begins with "John"
    /governance/api/v1/my/settings/delegates/users?filter=firstName%20sw%20%22John%22%20OR%20lastName%20sw%20%22John%22
Query
filterstring, (scim-filter)

An optional filter expression that returns users based on the firstName or lastName properties. This filter expression supports the sw operator.

When omitted, the endpoint returns all eligible delegates for the current user. However, if the org's delegate scope settings are unrestricted (the onlyFor list is empty), the filter parameter is required and omitting it returns a 400 error.

Note: Query parameter percent encoding is required. See Special characters.

Example:filter=firstName sw "John" OR lastName sw "John"
afterstring

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=00u68w6vzKLultXS97g6
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
GET
/governance/api/v1/my/settings/delegate/users
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/my/settings/delegate/users?filter=firstName%20sw%20%22John%22%20OR%20lastName%20sw%20%22John%22&after=00u68w6vzKLultXS97g6&limit=20'

Responses

Lists my eligible delegate users

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(delegate-user)

Delegate users list

Response
Lists all users who are eligible delegates for the authenticated user
{ "data": [ {}, {}, {}, {}, {}, {} ], "_links": { "self": {} } }